#!/bin/sh

# Remplacement des caracteres accentues et autres par les commandes LaTeX appropriees

# Si aucun argument -> On modifie tous les fichier .tex
if [ $# -eq 0 ]
then
  echo "  Modification de tous les fichiers .tex !"
  for fic in *.tex
  do
    sed -e 's//\\`a/g'       $fic > temp1.txt
    sed -e 's//\\`e/g'       temp1.txt > temp2.txt
    sed -e 's//\\`u/g'       temp2.txt > temp1.txt
    sed -e "s//\\\'e/g"      temp1.txt > temp2.txt
    sed -e 's//\\^a/g'       temp2.txt > temp1.txt
    sed -e 's//\\^e/g'       temp1.txt > temp2.txt
    sed -e 's//\\^i/g'       temp2.txt > temp1.txt
    sed -e 's//\\^o/g'       temp1.txt > temp2.txt
    sed -e 's//\\^u/g'       temp2.txt > temp1.txt
    sed -e 's//\\"a/g'       temp1.txt > temp2.txt
    sed -e 's//\\"e/g'       temp2.txt > temp1.txt
    sed -e 's//\\"i/g'       temp1.txt > temp2.txt
    sed -e 's//\\"o/g'       temp2.txt > temp1.txt
    sed -e 's//\\"u/g'       temp1.txt > temp2.txt
    sed -e 's//\\c{c}/g'     temp2.txt > temp1.txt
    sed -e 's/\\oe /\\oe{}/g' temp1.txt > temp2.txt
    sed -e 's/\\og /<<~/g'    temp2.txt > temp1.txt
    sed -e 's/ \\fg{}/~>>/g'  temp1.txt > $fic
    \rm temp1.txt temp2.txt
  done
fi

# Si 1 argument -> On enregistre les modifications dans le fichier
if [ $# -eq 1 ]
then
  sed -e 's//\\`a/g'       $1 > temp1.txt
  sed -e 's//\\`e/g'       temp1.txt > temp2.txt
  sed -e 's//\\`u/g'       temp2.txt > temp1.txt
  sed -e "s//\\\'e/g"      temp1.txt > temp2.txt
  sed -e 's//\\^a/g'       temp2.txt > temp1.txt
  sed -e 's//\\^e/g'       temp1.txt > temp2.txt
  sed -e 's//\\^i/g'       temp2.txt > temp1.txt
  sed -e 's//\\^o/g'       temp1.txt > temp2.txt
  sed -e 's//\\^u/g'       temp2.txt > temp1.txt
  sed -e 's//\\"a/g'       temp1.txt > temp2.txt
  sed -e 's//\\"e/g'       temp2.txt > temp1.txt
  sed -e 's//\\"i/g'       temp1.txt > temp2.txt
  sed -e 's//\\"o/g'       temp2.txt > temp1.txt
  sed -e 's//\\"u/g'       temp1.txt > temp2.txt
  sed -e 's//\\c{c}/g'     temp2.txt > temp1.txt
  sed -e 's/\\oe /\\oe{}/g' temp1.txt > temp2.txt
  sed -e 's/\\og /<<~/g'    temp2.txt > temp1.txt
  sed -e 's/ \\fg{}/~>>/g'  temp1.txt > $1
  \rm temp1.txt temp2.txt
fi

# Si 2 arguments -> On modifie le fichier_1 et on enregistre les
# modifications dans le fichier_2
if [ $# -eq 2 ]
then
  sed -e 's//\\`a/g'       $1 > temp1.txt
  sed -e 's//\\`e/g'       temp1.txt > temp2.txt
  sed -e 's//\\`u/g'       temp2.txt > temp1.txt
  sed -e "s//\\\'e/g"      temp1.txt > temp2.txt
  sed -e 's//\\^a/g'       temp2.txt > temp1.txt
  sed -e 's//\\^e/g'       temp1.txt > temp2.txt
  sed -e 's//\\^i/g'       temp2.txt > temp1.txt
  sed -e 's//\\^o/g'       temp1.txt > temp2.txt
  sed -e 's//\\^u/g'       temp2.txt > temp1.txt
  sed -e 's//\\"a/g'       temp1.txt > temp2.txt
  sed -e 's//\\"e/g'       temp2.txt > temp1.txt
  sed -e 's//\\"i/g'       temp1.txt > temp2.txt
  sed -e 's//\\"o/g'       temp2.txt > temp1.txt
  sed -e 's//\\"u/g'       temp1.txt > temp2.txt
  sed -e 's//\\c{c}/g'     temp2.txt > temp1.txt
  sed -e 's/\\oe /\\oe{}/g' temp1.txt > temp2.txt
  sed -e 's/\\og /<<~/g'    temp2.txt > temp1.txt
  sed -e 's/ \\fg{}/~>>/g'  temp1.txt > $2
  \rm temp1.txt temp2.txt
fi

